---
type: api
title: Get all Logstash pipelines
description: Get a list of all centrally-managed Logstash pipelines.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-logstash-pipelines
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-logstash-pipelines
products:
  - Kibana
---

# Get all Logstash pipelines

Availability:

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/logstash/pipelines`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Description

Get a list of all centrally-managed Logstash pipelines.

To use this API, you must have either the `logstash_admin` built-in role or a customized Logstash reader role.
> info
> Limit the number of pipelines to 10,000 or fewer. As the number of pipelines nears and surpasses 10,000, you may see performance issues on Kibana.

The `username` property appears in the response when security is enabled and depends on when the pipeline was created or last updated.

[Secure your connection](https://www.elastic.co/docs/reference/logstash/secure-connection)

## Response

Indicates a successful call

`application/json`

Type: `object`

## Code Examples

#### Console

```console
GET /api/logstash/pipelines
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/logstash/pipelines"
```

## Response Examples

#### Get logstash pipelines response example1

```json
{
  "pipelines": [
    {
      "id": "hello-world",
      "description": "Just a simple pipeline",
      "last_modified": "2018-04-14T12:23:29.772Z",
      "username": "elastic" 
    },
    {
      "id": "sleepy-pipeline",
      "description": "",
      "last_modified": "2018-03-24T03:41:30.554Z"
    }
  ]
}
```

